package ru.yandex.webmaster3.storage.clickhouse;

import org.joda.time.DateTime;

/**
 * Created by Oleg Bazdyrev on 21/04/2017.
 */
public class ClickhouseTableWrapper implements ClickhouseTable {

    private final ClickhouseTable delegate;

    public ClickhouseTableWrapper(ClickhouseTable parent) {
        this.delegate = parent;
    }

    @Override
    public TableType getType() {
        return delegate.getType();
    }

    @Override
    public String getClickhouseFullName() {
        return delegate.getClickhouseFullName();
    }

    @Override
    public DateTime getUpdateDate() {
        return delegate.getUpdateDate();
    }

    @Override
    public String getDistributedTableName() {
        return delegate.getDistributedTableName();
    }

    @Override
    public String getLocalTableName() {
        return delegate.getLocalTableName();
    }

    @Override
    public int getShardCount() {
        return delegate.getShardCount();
    }

    @Override
    public int getPartCount() {
        return delegate.getPartCount();
    }

}
